Cannot launch PyRx 0.8 in Linux Ubuntu 16.04 LTS

Python Prescription - Virtual Screening Tool

[PyRx is no longer developed at MGL]

Moderator: sargis

Forum rules
[PyRx is no longer developed at MGL]

Cannot launch PyRx 0.8 in Linux Ubuntu 16.04 LTS

Postby benny » Mon Oct 17, 2016 4:17 am

Hello:

I tried to launch the PyRx in Linux Ubuntu 16.04 LTS but received the following error:

Traceback (most recent call last):
File "/home/ben/Desktop/PyRx/runPyRx.py", line 71, in <module>
startPyRx()
File "/home/ben/Desktop/PyRx/runPyRx.py", line 39, in startPyRx
frame = MainFrame(None, -1, size=(width, height-200))
File "/home/ben/Desktop/PyRx/lib/python2.6/site-packages/PyRx/wxMainFrame.py", line 129, in __init__
import preferences
File "/home/ben/Desktop/PyRx/lib/python2.6/site-packages/PyRx/preferences.py", line 22, in <module>
from traitedBabel import openbabelParameters, openbabelAutoDockParameters
File "/home/ben/Desktop/PyRx/lib/python2.6/site-packages/PyRx/traitedBabel.py", line 7, in <module>
from enthought.tvtk.pyface.decorated_scene import DecoratedScene
File "/home/ben/Desktop/PyRx/lib/python2.6/site-packages/Mayavi-3.3.1-py2.6-linux-i686.egg/enthought/tvtk/pyface/decorated_scene.py", line 13, in <module>
DecoratedScene = toolkit_object('decorated_scene:DecoratedScene')
File "/home/ben/Desktop/PyRx/lib/python2.6/site-packages/Mayavi-3.3.1-py2.6-linux-i686.egg/enthought/tvtk/pyface/toolkit.py", line 93, in toolkit_object
__import__(be_mname)
File "/sargis/PyRx_new/lib/python2.6/site-packages/Mayavi-3.3.1-py2.6-linux-i686.egg/enthought/tvtk/pyface/ui/wx/decorated_scene.py", line 29, in <module>
File "/home/ben/Desktop/PyRx/lib/python2.6/site-packages/Mayavi-3.3.1-py2.6-linux-i686.egg/enthought/tvtk/api.py", line 11, in <module>
from enthought.tvtk.tvtk import tvtk
File "/home/ben/Desktop/PyRx/lib/python2.6/site-packages/Mayavi-3.3.1-py2.6-linux-i686.egg/enthought/tvtk/tvtk.py", line 42, in <module>
import vtk
File "/home/ben/Desktop/PyRx/lib/python2.6/site-packages/vtk/__init__.py", line 63, in <module>
__helper.refine_import_err('rendering', 'vtkRenderingPython', exc)
File "/home/ben/Desktop/PyRx/lib/python2.6/site-packages/vtk/__helper.py", line 32, in refine_import_err
raise LinkError, str(exc)
LinkError: libXt.so.6: cannot open shared object file: No such file or directory

I tried install the 32 bit version of libXt using the following command:

sudo apt-get install libxtst6:i386


but it still give the same error message.

Please help!

Thanks.
User avatar
benny
Millimolar User
Millimolar User
 
Posts: 1
Joined: Mon Oct 17, 2016 4:11 am

Return to PyRx

Who is online

Users browsing this forum: Google [Bot] and 1 guest

cron